DELETE /auth/totp

Disable TOTP (Time-based One-Time Password) authentication. It requires two-factor authentication verification.

application/json

Body Required

  • totp string

    TOTP verification code

  • email_otp string

    Email OTP verification code

  • fido_authentication_response object

    FIDO authentication response

  • recovery_code string

    Recovery code for two-factor authentication

Responses

  • 200

    TOTP disabled

  • 400

    TOTP not enabled or verification failed

DELETE /auth/totp
curl -X DELETE "http://api.example.com/auth/totp" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "totp": "",
  "email_otp": "",
  "fido_authentication_response": {},
  "recovery_code": ""
}'
import requests

url = "http://api.example.com/auth/totp"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "totp": "",
    "email_otp": "",
    "fido_authentication_response": {},
    "recovery_code": ""
}

response = requests.delete(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request DELETE 'http://api.example.com/auth/totp' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"totp":"string","email_otp":"string","fido_authentication_response":{},"recovery_code":"string"}'
Request examples
{
  "totp": "string",
  "email_otp": "string",
  "fido_authentication_response": {},
  "recovery_code": "string"
}